<*
    File        : index.hsc
    Date        : 19-Sep-02
    Description : Part of the PsiFS documentation.
 
    Copyright  1998, 1999, 2000, 2001, 2002 Alexander Thoukydides
 
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.
 
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.
 
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
*>

<$include FILE=(FILEREL)>
<PAGE SUBTITLE=("Version " + RELVER + " (" + RELDATE + ")") KEYWORDS="Documentation,Contents,Index,Psion Link Protocol,EPOC,SIBO,EPOC16,EPOC32,Legal Matters,FreeWare,Copyright,Version,Distribution">

<HEADING>Introduction</HEADING>
<PARA>
<PSIFS> is a filing system that provides access via a serial link to the files stored on a <SIBO FLA> (a.k.a. <EPOC16>) or <EPOC> (a.k.a. <EPOC32>) computer. The standard <PLP TLA> is used; there is no extra software to install or run on the remote machine.
<P>
With the exception of a few components contained in this distribution, <PSIFS> is supplied under the terms of the <A HREF=":legal/gpl.html" TITLE="GNU General Public License">GNU General Public License</A>. See the <A HREF=":legal/index.html" TITLE="Legal Matters">legal matters</A> section of the documentation for more details.
</PARA>

<HEADING>Documentation Contents</HEADING>
<PARA>
<TABLE WIDTH="100%">
    <TR>
        <TH ALIGN=LEFT>User Guide</TH>
        <TH ALIGN=LEFT>Technical Details</TH>
        <TH ALIGN=LEFT>Miscellaneous</TH>
    </TR>
    <TR VALIGN=TOP>
        <TD>
            <UL>
                <LI><A HREF=":start/index.html" TITLE="Getting Started">Getting Started</A>
                <LI><A HREF=":icon/index.html" TITLE="Iconbar Icons">Iconbar Icons</A>
                <LI><A HREF=":menu/index.html" TITLE="Menu Entries">Menu Entries</A>
                <LI><A HREF=":faq/index.html" TITLE="Frequently Asked Questions">FAQ</A>
                <LI><A HREF=":vers.html" TITLE="Version History">Version History</A>
            </UL>
        </TD>
        <TD>
            <UL>
                <LI><A HREF=":fs/index.html" TITLE="File System">File System</A>
                <LI><A HREF=":conv/index.html" TITLE="File Format Converters">File Format Converters</A>
                <LI><A HREF=":command/index.html" TITLE="*Commands">*Commands</A> 
                <LI><A HREF=":swi/index.html" TITLE="SWI Calls">SWI Calls</A>
                <LI><A HREF=":wimp/index.html" TITLE="WIMP Messages">WIMP Messages</A>
                <LI><A HREF=":compile/index.html" TITLE="Compiling">Compiling</A>
            </UL>
        </TD>
        <TD>
            <UL>
                <LI><A HREF=":legal/index.html" TITLE="Legal Matters">Legal Matters</A>
                <LI><A HREF=":contact/index.html" TITLE="Contact Details">Contact Details</A>
                <LI><A HREF=":cred.html" TITLE="Credits">Credits</A>
                <LI><A HREF=":probs.html" TITLE="Known Problems">Known Problems</A>
                <LI><A HREF=":compt.html" TITLE="Compatibility">Compatibility</A>
            </UL>
        </TD>
    </TR>
</TABLE>
<P>
Alternatively, view the documentation <A HREF=":cntnt.html" TITLE="Documentation Contents">Contents</A> or <A HREF=":xref.html" TITLE="Documentation Index">Index</A>.
</PARA>

</PAGE>
